> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Maps search

> Search Google Maps places by keyword and area: name, category, address, phone, website, rating, review count, coordinates and opening hours. Each active search filter (categories, name matching, minimum rating, website, skip closed) adds 2 points per place. 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-google-maps-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research, search, extraction, and structured data
    source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Multi-step research workflows and the sessions they run in.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
  - name: Startup & Funding Data
    description: Startup & Funding Data data sources.
  - name: Maps & Local Businesses
    description: Maps & Local Businesses data sources.
paths:
  /functions/v1/run-google-maps-search:
    post:
      tags:
        - Maps & Local Businesses
      summary: Google Maps search
      description: >-
        Search Google Maps places by keyword and area: name, category, address,
        phone, website, rating, review count, coordinates and opening hours.
        Each active search filter (categories, name matching, minimum rating,
        website, skip closed) adds 2 points per place. 5 point per returned
        record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                search_terms:
                  description: >-
                    Search terms (comma-separated, up to 5). e.g. restaurant,
                    coffee shop
                  type: string
                location:
                  description: Location. e.g. New York, USA
                  type: string
                language:
                  description: >-
                    Language. Options: af = Afrikaans, az = azərbaycan, id =
                    BahasaIndonesia, ms = BahasaMelayu, bs = bosanski, ca =
                    català, cs = Čeština, da = Dansk, de = Deutsch
                    (Deutschland), et = eesti, es = Español (España), es-419 =
                    Español (Latinoamérica), eu = euskara, fil = Filipino, fr =
                    Français (France), gl = galego, hr = Hrvatski, zu = isiZulu,
                    is = íslenska, it = Italiano, sw = Kiswahili, lv = latviešu,
                    lt = lietuvių, hu = magyar, nl = Nederlands, no = norsk, uz
                    = oʻzbekcha, pl = polski, pt-BR = Português (Brasil), pt-PT
                    = Português (Portugal), ro = română, sq = shqip, sk =
                    Slovenčina, sl = slovenščina, fi = Suomi, sv = Svenska, vi =
                    TiếngViệt, tr = Türkçe, el = Ελληνικά, bg = български, ky =
                    кыргызча, kk = қазақтілі, mk = македонски, mn = монгол, ru =
                    Русский, sr = српски (ћирилица), uk = Українська, ka =
                    ქართული, hy = հայերեն, iw = עברית, ur = اردو, ar = العربية,
                    fa = فارسی, am = አማርኛ, ne = नेपाली, hi = हिन्दी, mr = मराठी,
                    bn = বাংলা, pa = ਪੰਜਾਬੀ, gu = ગુજરાતી, ta = தமிழ், te =
                    తెలుగు, kn = ಕನ್ನಡ, ml = മലയാളം, si = සිංහල, th = ไทย, lo =
                    ລາວ, my = ဗမာ, km = ខ្មែរ, ko = 한국어, ja = 日本語, zh-CN = 简体中文,
                    zh-TW = 繁體中文
                  type: string
                  enum:
                    - af
                    - az
                    - id
                    - ms
                    - bs
                    - ca
                    - cs
                    - da
                    - de
                    - et
                    - es
                    - es-419
                    - eu
                    - fil
                    - fr
                    - gl
                    - hr
                    - zu
                    - is
                    - it
                    - sw
                    - lv
                    - lt
                    - hu
                    - nl
                    - 'no'
                    - uz
                    - pl
                    - pt-BR
                    - pt-PT
                    - ro
                    - sq
                    - sk
                    - sl
                    - fi
                    - sv
                    - vi
                    - tr
                    - el
                    - bg
                    - ky
                    - kk
                    - mk
                    - mn
                    - ru
                    - sr
                    - uk
                    - ka
                    - hy
                    - iw
                    - ur
                    - ar
                    - fa
                    - am
                    - ne
                    - hi
                    - mr
                    - bn
                    - pa
                    - gu
                    - ta
                    - te
                    - kn
                    - ml
                    - si
                    - th
                    - lo
                    - my
                    - km
                    - ko
                    - ja
                    - zh-CN
                    - zh-TW
                max_items:
                  description: Places per search term (up to 1000)
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 20
                categories:
                  description: Place categories. e.g. abbey, accountant, accounting
                  type: array
                  items:
                    type: string
                search_matching:
                  description: >-
                    Name matching. Options: only_includes = Title includes the
                    search term, only_exact = Title matches the search term
                    exactly
                  type: string
                  enum:
                    - only_includes
                    - only_exact
                min_rating:
                  description: >-
                    Minimum star rating. Options: two = 2+ stars, twoAndHalf =
                    2.5+ stars, three = 3+ stars, threeAndHalf = 3.5+ stars,
                    four = 4+ stars, fourAndHalf = 4.5+ stars
                  type: string
                  enum:
                    - two
                    - twoAndHalf
                    - three
                    - threeAndHalf
                    - four
                    - fourAndHalf
                website:
                  description: >-
                    Website. Options: withWebsite = Only places with a website,
                    withoutWebsite = Only places without a website
                  type: string
                  enum:
                    - withWebsite
                    - withoutWebsite
                skip_closed:
                  description: Skip closed places
                  type: boolean
                country:
                  description: >-
                    Country. Options: us = United States, af = Afghanistan, al =
                    Albania, dz = Algeria, as = American Samoa, ad = Andorra, ao
                    = Angola, ai = Anguilla, aq = Antarctica, ag = Antigua and
                    Barbuda, ar = Argentina, am = Armenia, aw = Aruba, au =
                    Australia, at = Austria, az = Azerbaijan, bs = Bahamas, bh =
                    Bahrain, bd = Bangladesh, bb = Barbados, by = Belarus, be =
                    Belgium, bz = Belize, bj = Benin, bm = Bermuda, bt = Bhutan,
                    bo = Bolivia, ba = Bosnia and Herzegovina, bw = Botswana, bv
                    = Bouvet Island, br = Brazil, io = British Indian Ocean
                    Territory, bn = Brunei Darussalam, bg = Bulgaria, bf =
                    Burkina Faso, bi = Burundi, kh = Cambodia, cm = Cameroon, ca
                    = Canada, cv = Cape Verde, ky = Cayman Islands, cf = Central
                    African Republic, td = Chad, cl = Chile, cn = China, cx =
                    Christmas Island, cc = Cocos (Keeling) Islands, co =
                    Colombia, km = Comoros, cg = Congo-Brazzaville, cd = Congo,
                    Democratic Republic of the, ck = Cook Islands, cr = Costa
                    Rica, ci = Cote D'ivoire, hr = Croatia, cu = Cuba, cy =
                    Cyprus, cz = Czech Republic, dk = Denmark, dj = Djibouti, dm
                    = Dominica, do = Dominican Republic, ec = Ecuador, eg =
                    Egypt, sv = El Salvador, gq = Equatorial Guinea, er =
                    Eritrea, ee = Estonia, et = Ethiopia, fk = Falkland Islands,
                    fo = Faroe Islands, fj = Fiji, fi = Finland, fr = France, gf
                    = French Guiana, pf = French Polynesia, tf = French Southern
                    Territories, ga = Gabon, gm = Gambia, ge = Georgia, de =
                    Germany, gh = Ghana, gi = Gibraltar, gr = Greece, gl =
                    Greenland, gd = Grenada, gp = Guadeloupe, gu = Guam, gt =
                    Guatemala, gn = Guinea, gw = Guinea-Bissau, gy = Guyana, ht
                    = Haiti, hm = Heard Island and Mcdonald Islands, va =
                    Vatican City State, hn = Honduras, hu = Hungary, is =
                    Iceland, in = India, id = Indonesia, ir = Iran, iq = Iraq,
                    ie = Ireland, il = Israel, it = Italy, jm = Jamaica, jp =
                    Japan, jo = Jordan, kz = Kazakhstan, ke = Kenya, ki =
                    Kiribati, kp = Korea, Democratic People's Republic of, kr =
                    Korea, kw = Kuwait, kg = Kyrgyzstan, la = Laos, lv = Latvia,
                    lb = Lebanon, ls = Lesotho, lr = Liberia, ly = Libyan Arab
                    Jamahiriya, li = Liechtenstein, lt = Lithuania, lu =
                    Luxembourg, mo = Macao, mk = Macedonia, mg = Madagascar, mw
                    = Malawi, my = Malaysia, mv = Maldives, ml = Mali, mt =
                    Malta, mh = Marshall Islands, mq = Martinique, mr =
                    Mauritania, mu = Mauritius, yt = Mayotte, mx = Mexico, fm =
                    Micronesia, md = Moldova, mc = Monaco, mn = Mongolia, me =
                    Montenegro, ms = Montserrat, ma = Morocco, mz = Mozambique,
                    mm = Myanmar, na = Namibia, nr = Nauru, np = Nepal, nl =
                    Netherlands, an = Netherlands Antilles, nc = New Caledonia,
                    nz = New Zealand, ni = Nicaragua, ne = Niger, ng = Nigeria,
                    nu = Niue, nf = Norfolk Island, mp = Northern Mariana
                    Islands, no = Norway, om = Oman, pk = Pakistan, pw = Palau,
                    ps = Palestine, pa = Panama, pg = Papua New Guinea, py =
                    Paraguay, pe = Peru, ph = Philippines, pn = Pitcairn, pl =
                    Poland, pt = Portugal, pr = Puerto Rico, qa = Qatar, re =
                    Reunion, ro = Romania, ru = Russian Federation, rw = Rwanda,
                    sh = Saint Helena, kn = Saint Kitts and Nevis, lc = Saint
                    Lucia, pm = Saint Pierre and Miquelon, vc = Saint Vincent
                    and the Grenadines, ws = Samoa, sm = San Marino, st = Sao
                    Tome and Principe, sa = Saudi Arabia, sn = Senegal, rs =
                    Serbia, sc = Seychelles, sl = Sierra Leone, sg = Singapore,
                    sk = Slovakia, si = Slovenia, sb = Solomon Islands, so =
                    Somalia, za = South Africa, gs = South Georgia and the South
                    Sandwich Islands, ss = South Sudan, es = Spain, lk = Sri
                    Lanka, sd = Sudan, sr = Suriname, sj = Svalbard and Jan
                    Mayen, sz = Swaziland, se = Sweden, ch = Switzerland, sy =
                    Syrian Arab Republic, tw = Taiwan, tj = Tajikistan, tz =
                    Tanzania, th = Thailand, tl = Timor-Leste, tg = Togo, tk =
                    Tokelau, to = Tonga, tt = Trinidad and Tobago, tn = Tunisia,
                    tr = Turkey, tm = Turkmenistan, tc = Turks and Caicos
                    Islands, tv = Tuvalu, ug = Uganda, ua = Ukraine, ae = United
                    Arab Emirates, gb = United Kingdom, um = United States Minor
                    Outlying Islands, uy = Uruguay, uz = Uzbekistan, vu =
                    Vanuatu, ve = Venezuela, vn = Viet Nam, vg = Virgin Islands,
                    British, vi = Virgin Islands, U.S., wf = Wallis and Futuna,
                    eh = Western Sahara, ye = Yemen, zm = Zambia, zw = Zimbabwe
                  type: string
                  enum:
                    - us
                    - af
                    - al
                    - dz
                    - as
                    - ad
                    - ao
                    - ai
                    - aq
                    - ag
                    - ar
                    - am
                    - aw
                    - au
                    - at
                    - az
                    - bs
                    - bh
                    - bd
                    - bb
                    - by
                    - be
                    - bz
                    - bj
                    - bm
                    - bt
                    - bo
                    - ba
                    - bw
                    - bv
                    - br
                    - io
                    - bn
                    - bg
                    - bf
                    - bi
                    - kh
                    - cm
                    - ca
                    - cv
                    - ky
                    - cf
                    - td
                    - cl
                    - cn
                    - cx
                    - cc
                    - co
                    - km
                    - cg
                    - cd
                    - ck
                    - cr
                    - ci
                    - hr
                    - cu
                    - cy
                    - cz
                    - dk
                    - dj
                    - dm
                    - do
                    - ec
                    - eg
                    - sv
                    - gq
                    - er
                    - ee
                    - et
                    - fk
                    - fo
                    - fj
                    - fi
                    - fr
                    - gf
                    - pf
                    - tf
                    - ga
                    - gm
                    - ge
                    - de
                    - gh
                    - gi
                    - gr
                    - gl
                    - gd
                    - gp
                    - gu
                    - gt
                    - gn
                    - gw
                    - gy
                    - ht
                    - hm
                    - va
                    - hn
                    - hu
                    - is
                    - in
                    - id
                    - ir
                    - iq
                    - ie
                    - il
                    - it
                    - jm
                    - jp
                    - jo
                    - kz
                    - ke
                    - ki
                    - kp
                    - kr
                    - kw
                    - kg
                    - la
                    - lv
                    - lb
                    - ls
                    - lr
                    - ly
                    - li
                    - lt
                    - lu
                    - mo
                    - mk
                    - mg
                    - mw
                    - my
                    - mv
                    - ml
                    - mt
                    - mh
                    - mq
                    - mr
                    - mu
                    - yt
                    - mx
                    - fm
                    - md
                    - mc
                    - mn
                    - me
                    - ms
                    - ma
                    - mz
                    - mm
                    - na
                    - nr
                    - np
                    - nl
                    - an
                    - nc
                    - nz
                    - ni
                    - ne
                    - ng
                    - nu
                    - nf
                    - mp
                    - 'no'
                    - om
                    - pk
                    - pw
                    - ps
                    - pa
                    - pg
                    - py
                    - pe
                    - ph
                    - pn
                    - pl
                    - pt
                    - pr
                    - qa
                    - re
                    - ro
                    - ru
                    - rw
                    - sh
                    - kn
                    - lc
                    - pm
                    - vc
                    - ws
                    - sm
                    - st
                    - sa
                    - sn
                    - rs
                    - sc
                    - sl
                    - sg
                    - sk
                    - si
                    - sb
                    - so
                    - za
                    - gs
                    - ss
                    - es
                    - lk
                    - sd
                    - sr
                    - sj
                    - sz
                    - se
                    - ch
                    - sy
                    - tw
                    - tj
                    - tz
                    - th
                    - tl
                    - tg
                    - tk
                    - to
                    - tt
                    - tn
                    - tr
                    - tm
                    - tc
                    - tv
                    - ug
                    - ua
                    - ae
                    - gb
                    - um
                    - uy
                    - uz
                    - vu
                    - ve
                    - vn
                    - vg
                    - vi
                    - wf
                    - eh
                    - ye
                    - zm
                    - zw
                city:
                  description: City. e.g. New York
                  type: string
                state:
                  description: State. e.g. New York
                  type: string
                county:
                  description: County. e.g. New York County
                  type: string
                postal_code:
                  description: Postal code. e.g. 10001
                  type: string
                custom_geolocation:
                  description: >-
                    Custom search area (GeoJSON, coordinates as [longitude,
                    latitude]). e.g. {"type": "Point", "coordinates": [-73.9857,
                    40.7484], "radiusKm": 2}
                  type: string
              required:
                - search_terms
            example:
              search_terms: restaurant, coffee shop
              max_items: 2
              location: New York, USA
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: google_maps_search
                search_terms:
                  - restaurant
                  - coffee shop
                location: New York, USA
                max_items: 2
                language: en
                categories: []
                search_matching: all
                min_rating: ''
                website: allPlaces
                skip_closed: false
                country: ''
                city: ''
                state: ''
                county: ''
                postal_code: ''
                custom_geolocation: null
                human: |-
                  # Google Maps search

                  - **Search terms:** restaurant, coffee shop
                  - **Area:** New York, USA
                  - **Places per search term:** 2
                  - **Filters:** none
                  - **Records returned:** 4
                machine:
                  total_items: 4
                  partial: false
                  items:
                    - place_id: ChIJNxTtvEpKwokRSS-9_PbvSfM
                      name: Giuliana’s Ristorante
                      category: Italian restaurant
                      categories:
                        - Italian restaurant
                      address: 4105 Hylan Blvd, Staten Island, NY 10308
                      street: 4105 Hylan Blvd
                      neighborhood: Great Kills
                      city: Staten Island
                      state: New York
                      postal_code: '10308'
                      country_code: US
                      phone: (718) 317-8507
                      phone_unformatted: '+17183178507'
                      website: http://www.giulianassi.com/
                      rating: 4.7
                      review_count: 535
                      price: null
                      latitude: 40.539822
                      longitude: -74.1485189
                      permanently_closed: false
                      temporarily_closed: false
                      opening_hours:
                        - day: Monday
                          hours: Closed
                        - day: Tuesday
                          hours: 12 to 10 PM
                        - day: Wednesday
                          hours: 12 to 10 PM
                      image: >-
                        https://lh3.googleusercontent.com/grass-cs/AABkmLdqrHKdcMreL-IIhFYTY6IFDbaXcNiOMo8P1KID1saOeuNW5Lj1SA7hLlIE3lEaGbzSgyRa84AjHujhWwy9T4oYqHSs0R7our4224xsab14fJ3QETFt4RIrgP6GfLalbrrwfit_=w408-h306-k-no
                      url: >-
                        https://www.google.com/maps/search/?api=1&query=Giuliana%E2%80%99s%20Ristorante&query_place_id=ChIJNxTtvEpKwokRSS-9_PbvSfM
                      search_term: restaurant
                      rank: 7
                    - place_id: ChIJy-KpVN-1w4kRzagKeBn_31g
                      name: Tutto Apposto Cucina Italiana
                      category: Italian restaurant
                      categories:
                        - Italian restaurant
                        - Brunch restaurant
                        - Caterer
                      address: 31 Page Ave, Staten Island, NY 10309
                      street: 31 Page Ave
                      neighborhood: Charleston
                      city: Staten Island
                      state: New York
                      postal_code: '10309'
                      country_code: US
                      phone: (718) 227-8582
                      phone_unformatted: '+17182278582'
                      website: https://tuttoappostosi.com/
                      rating: 4.8
                      review_count: 743
                      price: null
                      latitude: 40.5236777
                      longitude: -74.234417
                      permanently_closed: false
                      temporarily_closed: false
                      opening_hours:
                        - day: Monday
                          hours: Closed
                        - day: Tuesday
                          hours: 11 AM to 10 PM
                        - day: Wednesday
                          hours: 11 AM to 10 PM
                      image: >-
                        https://lh3.googleusercontent.com/grass-cs/AABkmLf4n208I5Rtd3o9L9EMnbRPDfwvBGkibN9Mvtq_ALO5M31fipEzBpySxzZytM4kQEllHXaVHxgqyYbN2fkL_WIuZdzW_TBip78grvWIFYqJeAujB6SPMuBMPLeTNxtHGVaYfIYg=w408-h306-k-no
                      url: >-
                        https://www.google.com/maps/search/?api=1&query=Tutto%20Apposto%20Cucina%20Italiana&query_place_id=ChIJy-KpVN-1w4kRzagKeBn_31g
                      search_term: restaurant
                      rank: 9
                    - place_id: ChIJrdYGbwBLwokR0YjYPB6paks
                      name: Cafe Gianna
                      category: Coffee shop
                      categories:
                        - Coffee shop
                      address: 4076c Hylan Blvd, Staten Island, NY 10308
                      street: 4076c Hylan Blvd
                      neighborhood: Great Kills
                      city: Staten Island
                      state: New York
                      postal_code: '10308'
                      country_code: US
                      phone: (718) 255-4140
                      phone_unformatted: '+17182554140'
                      website: null
                      rating: 4.8
                      review_count: 73
                      price: null
                      latitude: 40.5401039
                      longitude: -74.1475814
                      permanently_closed: false
                      temporarily_closed: false
                      opening_hours:
                        - day: Monday
                          hours: 6:30 AM to 8 PM
                        - day: Tuesday
                          hours: 6:30 AM to 8 PM
                        - day: Wednesday
                          hours: 6:30 AM to 8 PM
                      image: >-
                        https://lh3.googleusercontent.com/grass-cs/AABkmLdBkI5Jk4fHGOKCs9uA5lv8Kg84KLep324_KOifxGlhahhaZZElleli8hUeX8E6Z-PNftRFnhze2jk4eNNGeQP5f4y89losVFuvwdtcmmAtST2PXNVutVhQ2qqILgFjxawS5vAIo41L92Q=w408-h544
                      url: >-
                        https://www.google.com/maps/search/?api=1&query=Cafe%20Gianna&query_place_id=ChIJrdYGbwBLwokR0YjYPB6paks
                      search_term: coffee shop
                      rank: 2
                    - place_id: ChIJ-Ts2xGO1w4kR-zhzhprJjmY
                      name: Paris Baguette
                      category: Coffee shop
                      categories:
                        - Coffee shop
                        - Cafe
                        - Cake shop
                      address: 7001 Amboy Rd Suite C-105, Staten Island, NY 10309
                      street: 7001 Amboy Rd Suite C-105
                      neighborhood: Tottenville
                      city: Staten Island
                      state: New York
                      postal_code: '10309'
                      country_code: US
                      phone: (347) 934-4880
                      phone_unformatted: '+13479344880'
                      website: >-
                        https://parisbaguette.com/locations/ny/staten-island/7001-amboy-road/
                      rating: 4.9
                      review_count: 62
                      price: null
                      latitude: 40.5169261
                      longitude: -74.2341085
                      permanently_closed: false
                      temporarily_closed: false
                      opening_hours:
                        - day: Monday
                          hours: 6 AM to 9:30 PM
                        - day: Tuesday
                          hours: 6 AM to 9:30 PM
                        - day: Wednesday
                          hours: 6 AM to 9:30 PM
                      image: >-
                        https://lh3.googleusercontent.com/grass-cs/AABkmLeU-Z7JDPUotMLg9HQXcb21OA0GGD34F8a6BXfOQ-pH0YX7hy1Tx2MOM5yedkt3X3OQDTqKVHGorHW1m1YO_l7DDcMjRUu1K9MT_7oQ3AzIlJjLbKwmwnOSvAtVdiEF-7Wl_GDamWuRvk5I=w408-h30
                      url: >-
                        https://www.google.com/maps/search/?api=1&query=Paris%20Baguette&query_place_id=ChIJ-Ts2xGO1w4kR-zhzhprJjmY
                      search_term: coffee shop
                      rank: 6
                active_filters: []
                points_per_place: 5
                total_points: 20
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  search_terms:
                    type: array
                    items:
                      type: string
                  location:
                    type: string
                  max_items:
                    type: integer
                  language:
                    type: string
                  categories:
                    type: array
                    items: {}
                  search_matching:
                    type: string
                  min_rating:
                    type: string
                  website:
                    type: string
                  skip_closed:
                    type: boolean
                  country:
                    type: string
                  city:
                    type: string
                  state:
                    type: string
                  county:
                    type: string
                  postal_code:
                    type: string
                  custom_geolocation: {}
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      partial:
                        type: boolean
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            place_id:
                              type: string
                            name:
                              type: string
                            category:
                              type: string
                            categories:
                              type: array
                              items:
                                type: string
                            address:
                              type: string
                            street:
                              type: string
                            neighborhood:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            postal_code:
                              type: string
                            country_code:
                              type: string
                            phone:
                              type: string
                            phone_unformatted:
                              type: string
                            website:
                              type: string
                              nullable: true
                            rating:
                              type: number
                            review_count:
                              type: integer
                            price: {}
                            latitude:
                              type: number
                            longitude:
                              type: number
                            permanently_closed:
                              type: boolean
                            temporarily_closed:
                              type: boolean
                            opening_hours:
                              type: array
                              items:
                                type: object
                                properties:
                                  day:
                                    type: string
                                  hours:
                                    type: string
                            image:
                              type: string
                            url:
                              type: string
                            search_term:
                              type: string
                            rank:
                              type: integer
                    description: Structured result payload.
                  active_filters:
                    type: array
                    items: {}
                  points_per_place:
                    type: integer
                  total_points:
                    type: integer
                    description: Points charged for this run.
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.